Open Source at FusionPBX
==============================================

This repository serves as the umbrella project to represent the
various open source efforts at [&nbsp;Mark J. Crane&nbsp;](https://fusionpbx.com).
Come here to get an overview of the various projects, to learn how to
contribute to them, and to sign up as a contributor.

Table Of Contents
-----------------

* [Sign the CLA](https://github.com/Fusionpbx/opensource/blob/master/sign-cla.md) - Step 1 [Required]
* [CLA Rationale](https://github.com/Fusionpbx/opensource/blob/master/cla-rationale.md) - [Optional if Curious]
* [Contributors](https://github.com/Fusionpbx/opensource/blob/master/contributors) - [List of Contributors]
* [Contributor License Agreement 2.0](https://github.com/Fusionpbx/opensource/blob/master/cla-2.0.md) - [The Actual CLA]
* Watch the "FusionPBX Pull Requests with Github" Youtube Video  https://youtu.be/SPUe7S4Z6ms

* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

Note to External Contributors
-----------------------------

We at FusionPBX are eager to work with you as a contributor. The following explains how to become a contributor. You will need to sign the contributor agreement as described below and send us a useful pull request. We accept pull requests from new contributors once we see the beneficial pull request and a signed contributor agreement. Each pull request is reviewed to make sure there is a signed contributor agreement.

In particular, in order for us to accept any patches from you, you will have to
electronically sign a statement that indicates two things:

* You are willingly licensing your contributions under the terms of
  the open source license of the project that you’re contributing to.

* You are legally able to license your contributions as stated.

The reason we do this is to ensure, to the extent possible, that we don’t “taint”
the projects we manage with contributions that turn out to be improper. This protects
everyone who wants to use the projects, including *you*! If you want a longer explanation,
then you can check out the [CLA Rationale page](https://github.com/Fusionpbx/opensource/blob/master/cla-rationale.md).

Once you sign the Contributor License Agreement (the “CLA”), we will then be able to
merge your contributions with a clear conscience and with only the friction that results
from the usual technical back-and-forth of a vibrant open source project.

To get started with this process, visit the
[Sign the CLA](https://github.com/Fusionpbx/opensource/blob/master/sign-cla.md)
page.


Thanks, FusionPBX!

* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

List of Projects
----------------

* [FusionPBX](https://github.com/Fusionpbx/fusionpbx)&#8201;&mdash;&#8201;The Official FusionPBX Repo.
* [FusionPBX Apps](https://github.com/Fusionpbx/opensource)&#8201;&mdash;&#8201;Applications for FusionPBX.
* [FusionPBX Scripts](https://github.com/Fusionpbx/opensource)&#8201;&mdash;&#8201;Install and Upgrade Scripts for FusionPBX.
* [Open Source Umbrella Project](https://github.com/Fusionpbx/opensource)&#8201;&mdash;&#8201;This site.
