Sign the CLA
=============

This page is the step-by-step guide to signing the FusionPBX
Contributor License Agreement. It's easy and pretty painless!
For an explanation about why we ask you to do this, see the
[CLA Rationale page](cla-rationale.md).

1. First and foremost, read [the current version of the
   CLA](cla-2.0.md). It is written to be as close to plain
   English as possible.

2. Make an account on [GitHub](https://github.com/) if you don't already
   have one.

3. File a pull request on this project (FusionPBX Open Source), 
   as [outlined below](#filing-the-pull-request).

4. Email the FusionPBX, as [outlined below](#sending-the-email).
   Wait for a FusionPBX team member to merge your pull request. You may start
   opening pull requests for the project you're contributing to but we will
   only be able to merge your contributions after your signed CLA is merged.

If you wish to, you may also file the CLA in paper form. Please
see the instructions on [the paper CLA page](sign-cla-paper.md)
for details.

* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

Filing the Pull Request
-----------------------

For more information read [GitHub's document about it](https://help.github.com/articles/using-pull-requests).

If you don't yet know how to file a pull request, here is the simplest way

1. In your browser, go to [FusionPBX Open Source Repo](https://github.com/fusionpbx/open-source)
2. In the top right hand corner click the "Fork" button.
3. If you have multiple accounts or are on a team it will ask you which account to fork to choose the one with your github username. If you only have one account it will just fork it for you and take you there. You will be redirected to your private copy of the opensource repository.
4. In the file browser up top click on the contributors folder to go into it
5. Look on top of the file browser and click the 'Create new file' button
6. Name the file in the top dialogue box yourgithubusername.md DONT HIT ENTER. Example: my github is richbreton my file is called richbreton.md
7. Put the text below in the file DO NOT HIT ENTER
8. In the "Commit New File" text field Enter githubusername signed cla DO NOT HIT ENTER
9. Leave the "Description" text field Blank
10. Select the radio button labeled: "Commit directly to the master branch"
11. Click The Green "Commit New File" Button
12. Just over the file browser click "Pull Request"
13. Click The Green "Create New Pull Request" Button
14. A description will drop down, leave it the way it is and scroll down
15. Click The Green "Create New Pull Request" Button

Dont forget to send your email as detailed further below to open-source@fusionpbx.com!

That's It!

```
[date]

I hereby agree to the terms of the Contributors License

I furthermore declare that I am authorized and able to make this
agreement and sign this declaration.

Signed,

[your name]
https://github.com/[your github userid]

```
Replace the bracketed text as follows:

* `[date]` with today's date, in the unambiguous numeric form `YYYY-MM-DD`.
* `[your name]` with your name.
* `[your github userid]` with your GitHub userid.

* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *


Sending the Email
-----------------

Send an email to FusionPBX
at [open-source@fusionpbx.com](mailto:open-source@fusionpbx.com),
with the subject "CLA" and the following body:

```
I submitted a pull request to indicate agreement to the terms
of the Contributors License Agreement.

Signed,

[your name]
https://github.com/[your github userid]
[your address]
[your phone number]
```

Replace the bracketed text as follows:

* `[your name]` with your name.
* `[your github userid]` with your GitHub userid.
* `[your address]` with a physical mailing address at which you can be
  contacted.
* `[your phone number]` with a phone number at which you can be contacted.
